Subject: [TLS] FW: [Technical Errata Reported] RFC5246 (1585)

From: <[email-masked]>
Date: Thu, 6 Nov 2008 20:15:40 +0200

Somehow we missed this one, although this bug was in all
versions from 01 to 10....

Eric: if you can confirm that this errata is correct, I can
mark it as "verified" in the RFC Editor errata database.

Best regards,
Pasi 

> -----Original Message-----
> From: ext RFC Errata System [mailto:[email-masked]] 
> Sent: 05 November, 2008 10:45
> To: [email-masked]; [email-masked]; [email-masked]; Eronen 
> Pasi (Nokia-NRC/Helsinki); [email-masked]; 
> [email-masked]
> Cc: Eronen Pasi (Nokia-NRC/Helsinki); [email-masked]
> Subject: [Technical Errata Reported] RFC5246 (1585)
> 
> 
> The following errata report has been submitted for RFC5246,
> "The Transport Layer Security (TLS) Protocol Version 1.2".
> 
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata_search.php?rfc=5246&eid=1585
> 
> --------------------------------------
> Type: Technical
> Reported by: Pasi Eronen <[email-masked]>
> 
> Section: A.4.2
> 
> Original Text
> -------------
> struct {
>     ClientCertificateType certificate_types<1..2^8-1>;
>     DistinguishedName certificate_authorities<0..2^16-1>;
> } CertificateRequest;
> 
> 
> Corrected Text
> --------------
> struct {
>     ClientCertificateType certificate_types<1..2^8-1>;
>     SignatureAndHashAlgorithm
>       supported_signature_algorithms<2^16-1>;
>     DistinguishedName certificate_authorities<0..2^16-1>;
> } CertificateRequest;
> 
> 
> Notes
> -----
> The definition in Section 7.4.4 (which includes the "supported_
> signature_algorithms" field) is the correct one.
> 
> Instructions:
> -------------
> This errata is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party (IESG)
> can log in to change the status and edit the report, if necessary. 
> 
> --------------------------------------
> RFC5246 (draft-ietf-tls-rfc4346-bis-10)
> --------------------------------------
> Title               : The Transport Layer Security (TLS) 
> Protocol Version 1.2
> Publication Date    : August 2008
> Author(s)           : T. Dierks, E. Rescorla
> Category            : PROPOSED STANDARD
> Source              : Transport Layer Security
> Area                : Security
> Stream              : IETF
> Verifying Party     : IESG
> 
_______________________________________________
TLS mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/tls